Skip to main content

Get an owner by ID

GEThttps://api.propexo.com/v1/owners/:owner_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

owner_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the owner

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    GET /Owners
    Example: 780
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    Method
    GET /Owners
    Example: 78
    x_location_idstring | nullnullablerequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Method
    GET /Owners
    Example: 6
    address_1string | nullnullablerequired

    The first address line associated with the owner

    Important

    Address fields on owners in Rent Manager are the first address entry for the owner, but there can be more. If you'd like more addresses, please contact Propexo support.

    Method
    GET /Owners
    Example: 123 West Ave
    address_2nullrequired

    The second address line associated with the owner

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    citystring | nullnullablerequired

    The city associated with the owner

    Important

    Address fields on owners in Rent Manager are the first address entry for the owner, but there can be more. If you'd like more addresses, please contact Propexo support.

    Method
    GET /Owners
    Example: Miami
    countrynullrequired

    The country associated with the owner

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    statestring | nullnullablerequired

    The state associated with the owner

    Important

    Address fields on owners in Rent Manager are the first address entry for the owner, but there can be more. If you'd like more addresses, please contact Propexo support.

    Method
    GET /Owners
    Example: FL
    zipstring | nullnullablerequired

    The zip code associated with the owner

    Important

    Address fields on owners in Rent Manager are the first address entry for the owner, but there can be more. If you'd like more addresses, please contact Propexo support.

    Method
    GET /Owners
    Example: 17892
    first_namestring | nullnullablerequired

    The first name associated with the owner

    Method
    GET /Owners
    Example: John
    middle_namestring | nullnullablerequired

    The middle name associated with the owner

    Method
    GET /Owners
    Example: Wilson
    last_namestring | nullnullablerequired

    The last name associated with the owner

    Method
    GET /Owners
    Example: Doe
    company_namestring | nullnullablerequired

    The name of the company associated with the owner

    Method
    GET /Owners
    Example: John's Family Rentals
    notesstring | nullnullablerequired

    Notes associated with the owner

    Method
    GET /Owners
    Example: Is a new owner.
    email_1string | nullnullablerequired

    The primary email address associated with the owner

    Method
    GET /Owners
    email_2nullrequired

    The secondary email address associated with the owner

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    phone_1string | nullnullablerequired

    Primary phone number associated with the owner

    Method
    GET /Owners
    Example: (555) 555-5555
    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    Method
    GET /Owners
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: MOBILE
    phone_2string | nullnullablerequired

    Secondary phone number associated with the owner

    Method
    GET /Owners
    Example: (555) 555-5554
    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    Method
    GET /Owners
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: FAX
    associated_property_idsstring[]required

    The property IDs associated with the owner

    Method
    GET /Owners
    Example: cmawympzl52480525661v4k5es1kgfkoj
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum21required

    The property management system of record

    Show 13 enum values
    RENTMANAGERAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTVINERESMANYARDIYARDI_REST
    Example: RENTMANAGER
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/owners/:owner_id
curl https://api.propexo.com/v1/owners/:owner_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "780",
"x_property_id": "78",
"x_location_id": "6",
"address_1": "123 West Ave",
"address_2": null,
"city": "Miami",
"country": null,
"state": "FL",
"zip": "17892",
"first_name": "John",
"middle_name": "Wilson",
"last_name": "Doe",
"company_name": "John's Family Rentals",
"notes": "Is a new owner.",
"email_1": "[email protected]",
"email_2": null,
"phone_1": "(555) 555-5555",
"phone_1_type": "MOBILE",
"phone_2": "(555) 555-5554",
"phone_2_type": "FAX",
"associated_property_ids": "cmawympzl52480525661v4k5es1kgfkoj",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTMANAGER",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}